Loading...
Searching...
No Matches
janus_sip_media Struct Reference
Collaboration diagram for janus_sip_media:
[legend]

## Data Fields

char * | remote_audio_ip
char * | remote_video_ip
gboolean | earlymedia
gboolean | update
gboolean | autoaccept_reinvites
gboolean | ready
gboolean | require_srtp
gboolean | has_srtp_local_audio
gboolean | has_srtp_local_video
gboolean | has_srtp_remote_audio
gboolean | has_srtp_remote_video
janus_srtp_profile | srtp_profile
gboolean | on_hold
gboolean | has_audio
int | audio_rtp_fd
int | audio_rtcp_fd
int | local_audio_rtp_port
int | remote_audio_rtp_port
int | local_audio_rtcp_port
int | remote_audio_rtcp_port
guint32 | audio_ssrc
guint32 | audio_ssrc_peer
int | audio_pt
int | opusred_pt
const char * | audio_pt_name
gint32 | audio_srtp_tag
srtp_t | audio_srtp_in
srtp_t | audio_srtp_out
srtp_policy_t | audio_remote_policy
srtp_policy_t | audio_local_policy
char * | audio_srtp_local_profile
char * | audio_srtp_local_crypto
gboolean | audio_send
gboolean | audio_recv
janus_sdp_mdirection | hold_audio_dir
janus_sdp_mdirection | pre_hold_audio_dir
gboolean | has_video
int | video_rtp_fd
int | video_rtcp_fd
int | local_video_rtp_port
int | remote_video_rtp_port
int | local_video_rtcp_port
int | remote_video_rtcp_port
guint32 | video_ssrc
guint32 | video_ssrc_peer
guint32 | simulcast_ssrc
int | video_pt
const char * | video_pt_name
gint32 | video_srtp_tag
srtp_t | video_srtp_in
srtp_t | video_srtp_out
srtp_policy_t | video_remote_policy
srtp_policy_t | video_local_policy
char * | video_srtp_local_profile
char * | video_srtp_local_crypto
gboolean | video_send
gboolean | video_recv
gboolean | video_pli_supported
janus_sdp_mdirection | hold_video_dir
janus_sdp_mdirection | pre_hold_video_dir
janus_rtp_switching_context | acontext
janus_rtp_switching_context | vcontext
int | pipefd [2]
gboolean | updated
int | video_orientation_extension_id
int | audio_level_extension_id

## Field Documentation

## acontext

janus_rtp_switching_context janus_sip_media::acontext

## audio_level_extension_id

int janus_sip_media::audio_level_extension_id

## audio_local_policy

srtp_policy_t janus_sip_media::audio_local_policy

## audio_pt

int janus_sip_media::audio_pt

## audio_pt_name

const char* janus_sip_media::audio_pt_name

## audio_recv

gboolean janus_sip_media::audio_recv

## audio_remote_policy

srtp_policy_t janus_sip_media::audio_remote_policy

## audio_rtcp_fd

int janus_sip_media::audio_rtcp_fd

## audio_rtp_fd

int janus_sip_media::audio_rtp_fd

## audio_send

gboolean janus_sip_media::audio_send

## audio_srtp_in

srtp_t janus_sip_media::audio_srtp_in

## audio_srtp_local_crypto

char * janus_sip_media::audio_srtp_local_crypto

## audio_srtp_local_profile

char* janus_sip_media::audio_srtp_local_profile

## audio_srtp_out

srtp_t janus_sip_media::audio_srtp_out

## audio_srtp_tag

gint32 janus_sip_media::audio_srtp_tag

## audio_ssrc

guint32 janus_sip_media::audio_ssrc

## audio_ssrc_peer

guint32 janus_sip_media::audio_ssrc_peer

## autoaccept_reinvites

gboolean janus_sip_media::autoaccept_reinvites

## earlymedia

gboolean janus_sip_media::earlymedia

## has_audio

gboolean janus_sip_media::has_audio

## has_srtp_local_audio

gboolean janus_sip_media::has_srtp_local_audio

## has_srtp_local_video

gboolean janus_sip_media::has_srtp_local_video

## has_srtp_remote_audio

gboolean janus_sip_media::has_srtp_remote_audio

## has_srtp_remote_video

gboolean janus_sip_media::has_srtp_remote_video

## has_video

gboolean janus_sip_media::has_video

## hold_audio_dir

janus_sdp_mdirection janus_sip_media::hold_audio_dir

## hold_video_dir

janus_sdp_mdirection janus_sip_media::hold_video_dir

## local_audio_rtcp_port

int janus_sip_media::local_audio_rtcp_port

## local_audio_rtp_port

int janus_sip_media::local_audio_rtp_port

## local_video_rtcp_port

int janus_sip_media::local_video_rtcp_port

## local_video_rtp_port

int janus_sip_media::local_video_rtp_port

## on_hold

gboolean janus_sip_media::on_hold

## opusred_pt

int janus_sip_media::opusred_pt

## pipefd

int janus_sip_media::pipefd[2]

## pre_hold_audio_dir

janus_sdp_mdirection janus_sip_media::pre_hold_audio_dir

## pre_hold_video_dir

janus_sdp_mdirection janus_sip_media::pre_hold_video_dir

## ready

gboolean janus_sip_media::ready

## remote_audio_ip

char* janus_sip_media::remote_audio_ip

## remote_audio_rtcp_port

int janus_sip_media::remote_audio_rtcp_port

## remote_audio_rtp_port

int janus_sip_media::remote_audio_rtp_port

## remote_video_ip

char* janus_sip_media::remote_video_ip

## remote_video_rtcp_port

int janus_sip_media::remote_video_rtcp_port

## remote_video_rtp_port

int janus_sip_media::remote_video_rtp_port

## require_srtp

gboolean janus_sip_media::require_srtp

## simulcast_ssrc

guint32 janus_sip_media::simulcast_ssrc

## srtp_profile

janus_srtp_profile janus_sip_media::srtp_profile

## update

gboolean janus_sip_media::update

## updated

gboolean janus_sip_media::updated

## vcontext

janus_rtp_switching_context janus_sip_media::vcontext

## video_local_policy

srtp_policy_t janus_sip_media::video_local_policy

## video_orientation_extension_id

int janus_sip_media::video_orientation_extension_id

## video_pli_supported

gboolean janus_sip_media::video_pli_supported

## video_pt

int janus_sip_media::video_pt

## video_pt_name

const char* janus_sip_media::video_pt_name

## video_recv

gboolean janus_sip_media::video_recv

## video_remote_policy

srtp_policy_t janus_sip_media::video_remote_policy

## video_rtcp_fd

int janus_sip_media::video_rtcp_fd

## video_rtp_fd

int janus_sip_media::video_rtp_fd

## video_send

gboolean janus_sip_media::video_send

## video_srtp_in

srtp_t janus_sip_media::video_srtp_in

## video_srtp_local_crypto

char * janus_sip_media::video_srtp_local_crypto

## video_srtp_local_profile

char* janus_sip_media::video_srtp_local_profile

## video_srtp_out

srtp_t janus_sip_media::video_srtp_out

## video_srtp_tag

gint32 janus_sip_media::video_srtp_tag

## video_ssrc

guint32 janus_sip_media::video_ssrc

## video_ssrc_peer

guint32 janus_sip_media::video_ssrc_peer

The documentation for this struct was generated from the following file:

- janus_sip.c